## org.pentaho.reporting.libraries.formula.function.math
Class MaxAFunction

    java.lang.Object
      org.pentaho.reporting.libraries.formula.function.math.MaxFunction
          org.pentaho.reporting.libraries.formula.function.math.MaxAFunction

All Implemented Interfaces:
  java.io.Serializable, Function

    public class MaxAFunction

extends MaxFunction

This function returns the maximum from a set of numbers.

Author:
  Cedric Pronzato
See Also:
  Serialized Form

Constructor Summary
`MaxAFunction()`

Method Summary
`java.lang.String` `getCanonicalName()`

Methods inherited from class org.pentaho.reporting.libraries.formula.function.math.MaxFunction
`evaluate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxAFunction

    public MaxAFunction()

Method Detail

### getCanonicalName

    public java.lang.String getCanonicalName()

  Specified by:
    `getCanonicalName` in interface `Function`
  Overrides:
    `getCanonicalName` in class `MaxFunction`